Fetch Conversation Audit Logs
curl --request GET \
--url https://api.chat-dash.com/v1/public/conversations/{conversationId}/audit-logs \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/conversations/{conversationId}/audit-logs"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/conversations/{conversationId}/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": "<string>",
"conversationId": "<string>",
"agentId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>"
},
"eventDetails": {}
}
],
"pagination": {
"limit": 123,
"skip": 123,
"count": 123
}
}{
"error": "Internal server error"
}Audit Logs
Fetch Conversation Audit Logs
Fetch audit logs for a specific conversation.
GET
/
conversations
/
{conversationId}
/
audit-logs
Fetch Conversation Audit Logs
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the conversation
Query Parameters
Filter logs by event type
Available options:
ASSIGNMENT, TAG_UPDATE Maximum number of logs to return (default: 50)
Required range:
x >= 1Number of logs to skip for pagination (default: 0)
Required range:
x >= 0⌘I
